Page MenuHomePhabricator

nodejs 6.11
Closed, ResolvedPublic

Description

Task to track the build and rollout to affected node-based services (since they'll need to be tested against the new release)

The following services needed to be tested with 6.11:

  • aqs
  • restbase
  • kartotherian (maps)
  • tilerator (maps)
  • etherpad
  • parsoid
  • pivot
  • graphoid (scb)
  • citoid (scb)
  • eventstreams (scb)
  • cxserver (scb)
  • mathoid (scb)
  • mobileapps (scb)
  • recommendation-api (scb)
  • changeprop (scb)
  • electron (scb)
  • trending-edits (scb)

Details

Related Gerrit Patches:
mediawiki/services/electron-render : masterSwitch to Node v6.11
mediawiki/services/recommendation-api : masterSwitch to Node v6.11
mediawiki/services/trending-edits : masterSwitch to Node v6.11
mediawiki/services/mobileapps : masterSwitch to Node v6.11
mediawiki/services/mathoid : masterSwitch to Node v6.11; release v0.6.5
mediawiki/services/graphoid : masterSwitch to Node v6.11
mediawiki/services/eventstreams : masterSwitch to Node v6.11
mediawiki/services/cxserver : masterSwitch to Node v6.11

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2017, 12:27 PM

Mentioned in SAL (#wikimedia-operations) [2017-07-14T09:57:47Z] <moritzm> uploaded nodejs_6.11.0~dfsg-1+wmf to apt.wikimedia.org (for jessie and stretch) (T170548)

mobrovac added subscribers: elukey, Gehel, bearND and 3 others.

@Ottomata @bearND @Gehel @elukey @akosiaris could you please check and make sure your respective services work on node 6.11? We plan rolling it out next week.

All tests pass in mobileapps.

bearND updated the task description. (Show Details)Jul 14 2017, 5:46 PM

I ran our battery of tests for Parsoid and everything seems fine. It'd be preferable to upgrade ruthenium to v6.11.0 first, and then we can do a run of rountrip testing there before putting it in production.

@Arlolra : Sure, I can upgrade ruthenium on Monday

@Arlolra : ruthenium has been updated to 6.11

akosiaris updated the task description. (Show Details)Jul 17 2017, 7:56 AM

etherpad tested with 6.11 and etherpad1001 has been upgraded already.

@Arlolra : ruthenium has been updated to 6.11

Thanks, I started an rt test run.

Arlolra updated the task description. (Show Details)Jul 17 2017, 6:17 PM
GWicke moved this task from next to doing on the Services board.Jul 17 2017, 8:54 PM
GWicke edited projects, added Services (doing); removed Services (next).

@Arlolra : ruthenium has been updated to 6.11

Any reason that's not v6.11.1? The .1 patch is a security release.

My guess would be that it got packaged around the same time of the release of v6.11.1 (it came out 2017-07-11). This update resolves one security patch - CVE-2017-1000381 - which would be nice to have, as we are in the middle of the transition. @MoritzMuehlenhoff could you package v6.11.1 perhaps?

dpatrick added a subtask: Restricted Task.Jul 19 2017, 5:16 PM

The security fixes from 6.11.1 are of course all part of our package already, see the included changelog.

mobrovac updated the task description. (Show Details)Jul 19 2017, 8:00 PM

@MoritzMuehlenhoff Is 6.11.1 available in Labs or Beta? Good to test it there too.

Local testing with nodejs 6.11.1~dfsg-1 and cxserver looks good. I'll retest today and update here.

@KartikMistry : The new nodejs packages are already uploaded to apt.wikimedia.org for jessie and stretch, so can be used for testing in labs.

Thanks @MoritzMuehlenhoff cxserver in local and Labs with upgraded nodejs packages looks good. All tests are passing and no issues in service.

KartikMistry updated the task description. (Show Details)Jul 20 2017, 8:18 AM
mobrovac updated the task description. (Show Details)Jul 24 2017, 9:24 PM

I have managed to test all of the services running on SCB and they all work under NodeJS v6.11. We are ready to move on SCB.

Mentioned in SAL (#wikimedia-operations) [2017-07-25T18:28:32Z] <mobrovac> restbase upgrading node to v6.11 - T170548

Mentioned in SAL (#wikimedia-operations) [2017-07-25T18:41:19Z] <mobrovac@tin> Started deploy [restbase/deploy@36ca85f]: Switch to Node v6.11 - T170548

Mentioned in SAL (#wikimedia-operations) [2017-07-25T18:46:36Z] <mobrovac@tin> Finished deploy [restbase/deploy@36ca85f]: Switch to Node v6.11 - T170548 (duration: 05m 17s)

Change 367719 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/cxserver@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367719

Change 367719 merged by Mobrovac:
[mediawiki/services/cxserver@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367719

Change 367720 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/eventstreams@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367720

Change 367721 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/graphoid@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367721

Change 367720 merged by Mobrovac:
[mediawiki/services/eventstreams@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367720

Change 367721 merged by Mobrovac:
[mediawiki/services/graphoid@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367721

Change 367722 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/mathoid@master] Switch to Node v6.11; release v0.6.5

https://gerrit.wikimedia.org/r/367722

Change 367723 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/mobileapps@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367723

Change 367722 merged by Mobrovac:
[mediawiki/services/mathoid@master] Switch to Node v6.11; release v0.6.5

https://gerrit.wikimedia.org/r/367722

Change 367723 merged by Mobrovac:
[mediawiki/services/mobileapps@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367723

Change 367724 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/trending-edits@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367724

Change 367725 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/recommendation-api@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367725

Change 367724 merged by Mobrovac:
[mediawiki/services/trending-edits@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367724

Change 367725 merged by Mobrovac:
[mediawiki/services/recommendation-api@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367725

Change 367727 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/electron-render@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367727

Change 367727 merged by Mobrovac:
[mediawiki/services/electron-render@master] Switch to Node v6.11

https://gerrit.wikimedia.org/r/367727

@Gehel (and @debt): I see a couple maps items at the top of this list. Is this something you are or should be aware of?

debt added a subscriber: MaxSem.Jul 26 2017, 12:04 AM

@ksmith and @Gehel - I believe we updated maps to use node 6 in these tickets: T150354 and T158984.

@MaxSem - is there more to do, that you know of?

@debt , @ksmith : We currently use nodejs 6.9 in the production cluster and are migrating to 6.11. While 6.x is an LTS release, there's a sizable number of changes in the releases between 6.9 and 6.11, which makes it recommendable to re-test kartotherian and tilerator with 6.11 before we upgrade nodejs on the maps servers. It's not likely that changes willl be needed, but better safe than sorry.

FYI, all of the SCB services have been migrated.

@debt, I have no idea whether it works 6.11 or not. It needs to be tested.

debt added a subscriber: Pnorman.

Thanks, @MaxSem, we'll see if we can figure out how to test it on our maps-test cluster with @Gehel and @Pnorman

debt triaged this task as High priority.Aug 22 2017, 7:10 PM

The maps-test cluster is nearly done with being re-imaged and once it's fully rebuilt, we'll take a look at this.

Pnorman moved this task from Backlog to In progress on the Maps-Sprint board.Sep 12 2017, 7:03 PM
Gehel updated the task description. (Show Details)Sep 21 2017, 7:26 PM

maps is finally upgraded to nodejs 6.11.

@MoritzMuehlenhoff: according to this ticket, aqs still needs to be done, I'll let you check that and close when needed.

MoritzMuehlenhoff closed this task as Resolved.Sep 22 2017, 6:35 AM
MoritzMuehlenhoff updated the task description. (Show Details)

maps is finally upgraded to nodejs 6.11.
@MoritzMuehlenhoff: according to this ticket, aqs still needs to be done, I'll let you check that and close when needed.

Thanks. aqs is already done, I just forgot to tick it off. Closing.

debt moved this task from In progress to Done on the Maps-Sprint board.Sep 22 2017, 1:42 PM